#
# Conditional build:
%bcond_without	osl	# OpenScop support
#
%define	isl_ver	0.26
Summary:	The Chunky Loop Generator
Summary(pl.UTF-8):	Chunky Loop Generator - generator pętli cząstkowych
Name:		cloog-isl
Version:	0.21.1
Release:	1
License:	LGPL v2.1+
Group:		Development/Tools
# older?
#Source0:	http://www.bastoul.net/cloog/pages/download/cloog-%{version}.tar.gz
#Source0Download: https://github.com/periscop/cloog/releases
Source0:	https://github.com/periscop/cloog/releases/download/cloog-%{version}/cloog-%{version}.tar.gz
# Source0-md5:	cbd2fd43b3421ce466bd638bf90b326d
Patch0:		cflags.patch
URL:		http://www.cloog.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	gmp-devel >= 5.0.2
BuildRequires:	gmp-c++-devel >= 5.0.2
BuildRequires:	isl-devel >= %{isl_ver}
BuildRequires:	libtool >= 2:2
%{?with_osl:BuildRequires:	osl-devel >= 0.9.7}
BuildRequires:	texinfo-texi2dvi
Requires:	%{name}-libs = %{version}-%{release}
Provides:	cloog = %{version}
Obsoletes:	cloog < 0.16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CLooG is a software which generates loops for scanning Z-polyhedra.
That is, CLooG finds the code or pseudo-code where each integral point
of one or more parametrized polyhedron or parametrized polyhedra union
is reached. CLooG is designed to avoid control overhead and to produce
a very efficient code.

This version is based on isl.

%description -l pl.UTF-8
CLooG to oprogramowanie generujące pętle do przeszukiwania
Z-wielościanów (Z-polyhedra). Oznacza to, że CLooG znajduje kod lub
pseudokod osiągający każdy punkt całkowity jednego lub większej liczby
sparametryzowanych wielościanów lub sum sparametryzowanych
wielościanów. CLooG jest zaprojektowany z myślą o zapobieganiu
narzutowi na sterowaniu oraz generowaniu bardzo wydajnego kodu.

Ta wersja jest oparta na bibliotece isl.

%package libs
Summary:	Chunky Loop Generator shared library - isl based version
Summary(pl.UTF-8):	Biblioteka współdzielona Chunky Loop Generatora - wersja oparta na isl
Group:		Libraries
Requires:	isl >= %{isl_ver}
%{?with_osl:Requires:	osl >= 0.9.7}

%description libs
Chunky Loop Generator shared library - isl based version.

%description libs -l pl.UTF-8
Biblioteka współdzielona Chunky Loop Generatora - wersja oparta na
isl.

%package devel
Summary:	Header files for the isl based version of Chunky Loop Generator
Summary(pl.UTF-8):	Pliki nagłówkowe opartej na isl wersji Chunky Loop Generatora
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gmp-devel >= 5.0.2
Requires:	gmp-c++-devel >= 5.0.2
Requires:	isl-devel >= %{isl_ver}
%{?with_osl:Requires:	osl-devel >= 0.9.7}
Provides:	cloog-devel = %{version}
Conflicts:	cloog-polylib-devel
Conflicts:	cloog-ppl-devel

%description devel
The header files for Chunky Loop Generator library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Chunky Loop Generatora.

%package static
Summary:	Static library of isl based version of Chunky Loop Generator
Summary(pl.UTF-8):	Statyczna biblioteka opartej na isl wersji Chunky Loop Generatora
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static library of isl based version of Chunky Loop Generator.

%description static -l pl.UTF-8
Statyczna biblioteka opartej na isl wersji Chunky Loop Generatora.

%prep
%setup -q -n cloog-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
# with_gmp_exec_prefix=yes avoids adding -L/lib to LDFLAGS
%configure \
	--disable-silent-rules \
	--with-gmp-exec-prefix \
	--with-isl=system \
	%{?with_osl:--with-osl=system}

%{__make}

%{__make} -C doc cloog.pdf

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libcloog-isl.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cloog

%files libs
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_libdir}/libcloog-isl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcloog-isl.so.4

%files devel
%defattr(644,root,root,755)
%doc doc/cloog.pdf
%attr(755,root,root) %{_libdir}/libcloog-isl.so
%dir %{_includedir}/cloog
%{_includedir}/cloog/*.h
%{_includedir}/cloog/isl
%{_includedir}/cloog/matrix
%dir %{_libdir}/cloog-isl
%{_libdir}/cloog-isl/cloog-isl-config.cmake
%dir %{_libdir}/isl
%{_libdir}/isl/isl-config.cmake
%{_pkgconfigdir}/cloog-isl.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libcloog-isl.a
%changelog
* Thu Jun 29 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cloog-isl.git;a=log;h=master

* Thu Jun 29 2023 Jakub Bogusz <qboosh@pld-linux.org> 7bbc241
- updated to 0.21.1; isl 0.26, osl 0.9.7

* Wed Feb 16 2022 Jan Rękorajski <baggins@pld-linux.org> 3728064
- prevent configure from overriding our CFLAGS, rel 3

* Wed Feb 16 2022 Jan Rękorajski <baggins@pld-linux.org> 5dc0554
- Release 2 (by relup.sh)

* Fri Oct 11 2019 Jakub Bogusz <qboosh@pld-linux.org> a68ac7f
- updated to 0.20.0 (for isl 0.20+)

* Sun Jul 29 2018 Jakub Bogusz <qboosh@pld-linux.org> a759973
- release 2

* Sun Jul 29 2018 Jakub Bogusz <qboosh@pld-linux.org> 7fc52d4
- -devel Conflicts: cloog-polylib-devel cloog-ppl-devel

* Fri Apr 06 2018 Jakub Bogusz <qboosh@pld-linux.org> cf0c5a1
- updated to 0.19.0 release; already includes update patch

* Mon Apr 02 2018 Jakub Bogusz <qboosh@pld-linux.org> 5150826
- drop .la file

* Sun Apr 01 2018 Jakub Bogusz <qboosh@pld-linux.org> 5615b4b
- added isl-update patch from git (needed to build with isl 0.19)

* Sun Apr 01 2018 Jakub Bogusz <qboosh@pld-linux.org> 014fff5
- updated to 0.18.5

* Sat Sep 12 2015 Jakub Bogusz <qboosh@pld-linux.org> ccb5c0f
- updated to 0.18.4 (for isl 0.15)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 6b23d2f
- x32 rebuild
- release 2 (by relup.sh)

* Thu Jan 15 2015 Jakub Bogusz <qboosh@pld-linux.org> b781117
- updated to 0.18.3
- removed obsolete missing,git patches

* Sat Oct 11 2014 Jakub Bogusz <qboosh@pld-linux.org> cd34f14
- Merge branch 'master' of git://git.pld-linux.org/packages/cloog-isl

* Sat Oct 11 2014 Jakub Bogusz <qboosh@pld-linux.org> 59f0769
- added missing patch

* Sat Oct 11 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 2768d28
- release 3 (by relup.sh)

* Sat Apr 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 0628f0f
- added two git patches needed to work with isl 0.13
- release 2

* Sun Feb 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 2aa1cad
- updated to 0.18.2

* Sat Oct 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 920340c
- updated to 0.18.1
- package cmake support files

* Mon Dec 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 33729bf
- enabled osl (OpenScop) support
- -with-gmp-exec-prefix hack to avoid -L/lib in LDFLAGS

